Skip to main content
Version: 1.0

Two Recourse API

Download this API's OpenAPI YAML

Our recourse fallback product allows you to fund orders with Two and get a payout from us, even if our risk engine would otherwise reject the order. If you decide to fulfil an order on recourse, that means you are fully liable for any credit and / or fraud risk for the order, meaning in case the customer does not pay us back on time, we may deduct the total order value from your next payout.

In order for you to be eligible to fulfil orders on recourse, you will need 3 things:​

  • Ask Two to configure you with a merchant recourse limit
  • Configure each customer that you want to allow to go on recourse with a customer recourse limit
  • Start listening to the approved_on_recourse field in the Create order or Create repayment plan response

You can then decide to fulfil any of these orders following the usual process.

Environments​

Testing​

https://api.sandbox.two.inc

Note: Read about our sandbox environment specific behaviour.

Production​

https://api.two.inc

Authentication​

For instructions on how to obtain API keys, visit this page. You will obtain two different keys, an initial one for testing in our sandbox environment and once ready, for production. Your API keys enables others to act on your behalf if they are able to obtain them, so make sure to keep them safe. Your API key is not to be shared with anyone, including in your version control system, client-side code, in public chatrooms and so on. The API key is applied in the request header. For example:

GET /something
X-Api-Key: secret_test_aabbccddeeff0123456789

API Keys have the following structure: secret_<env>_<key> where:

  • env is determined by the environment (prod for production, test for test environments)
  • key is a random, URL-safe, 64-bit encoded text string containing 32 random bytes.

Security Scheme Type:

apiKey

Header parameter name:

X-Api-Key